Subject: Re: [bug#35999] [PATCH] gnu: add gthumb
From: Ricardo Wurmus <[email-masked]>
To: Andy Tai <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 May 2019 11:51:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> Hi Andy,
>
>>  * gnu/packages/gnome.scm (gthumb): Add at 3.8.0
>
> thanks for the patch.
>
> (Note that the commit message should be “Add variable.”)
>
>
>> +    (arguments
>> +     `(#:validate-runpath? #f))
>
> It’s not a good idea to disable RUNPATH validation, because it usually
> shows you that something might be wrong.  In this package the problem is
> that the RUNPATH does not include the lib/gthumb/extensions
> directory.
>
> I’m still fighting with a handful of binaries that don’t seem to get the
> right RUNPATH, but once that’s done I’ll push the updated patch to the
> master branch.

Pushed to the master branch with commit 169d63f533.
I fixed the RUNPATH problems and made sure the application doesn’t crash
with a GLib-GIO-ERROR error by adding #:glib-or-gtk? #t.

-- 
Ricardo